Đến nội dung


Hình ảnh
- - - - -

[Xin giúp chỉnh sửa] Nhận mọi đối tượng trong Autolisp


  • Please log in to reply
2 replies to this topic

#1 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 17 June 2011 - 08:46 AM

http://www.cadviet.c...dientich_pl.lsp
Mình có đoạn lisp trên dùng để tính diện tích mọi đa giác khép kín có đối tượng là POLYLINE, xin nhờ các pro sửa giúp mình phần chọn đối tượng là POLYLINE trong đoạn mã lisp trên để có thể chọn được tất cả các đối tượng (POLYLINE, LWPOLYLINE) trong cùng 1 lệnh "DA" đó. Thanhk's!
  • 0
Y=acosh(x/a)

#2 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 17 June 2011 - 08:50 AM

http://www.cadviet.com/upfiles/3/dientich_pl.lsp
Mình có đoạn lisp trên dùng để tính diện tích mọi đa giác khép kín có đối tượng là POLYLINE, xin nhờ các pro sửa giúp mình phần chọn đối tượng là POLYLINE trong đoạn mã lisp trên để có thể chọn được tất cả các đối tượng (POLYLINE, LWPOLYLINE) trong cùng 1 lệnh "DA" đó. Thanhk's!

Anh sửa dòng: (setq doituong (ssget '((0 . "POLYLINE")))) thành (setq doituong (ssget '((0 . "*POLYLINE")))
  • 1
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#3 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 17 June 2011 - 10:03 AM

Anh sửa dòng: (setq doituong (ssget '((0 . "POLYLINE")))) thành (setq doituong (ssget '((0 . "*POLYLINE")))

Mình làm được rồi! Thank's
  • 0
Y=acosh(x/a)